dpkg-statoverride(1)

NOM
dpkg-statoverride - annuler la propriété et le mode des fichiers

SYNOPSIS
dpkg-statoverride [option...] commande

DESCRIPTION
“stat overrides” are a way to tell dpkg(1) to use a different owner or mode for a path when a package is installed (this applies to any filesystem object that dpkg handles, including directories, devices, etc.). This can be used to force programs that are normally setuid to be install without a setuid flag, or only executable by a certain group.

dpkg-statoverride est un utilitaire pour gérer la liste des dérogations. Il possède trois fonctions élémentaires : l'ajout, la suppression et le listage des dérogations.

COMMANDES

--add utilisateur groupe mode chemin
    Add an override for path. path does not need to exist when this command is used; the override will be stored and used later. Users and groups can be specified by their name (for example root or nobody), or by their number by prepending the number with a ‘#’ (for example #0 or #65534). The mode needs to be specified in octal. Si --update est utilisée et si chemin existe, le fichier change immédiatement de propriétaire et de mode.

--remove  chemin
    Supprime une dérogation (« override ») pour chemin, l'état de chemin est inchangé.

--list [motif-global]
    List all overrides. If a glob pattern is specified restrict the output to overrides which match the glob.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir répertoire
    Change le répertoire de la base de données de dpkg, où se trouve aussi le fichier statoverride. La valeur par défaut est %ADMINDIR%.

--force
    Forcer une opération, même si une vérification raisonnable l'interdirait. C'est nécessaire pour annuler une précédente dérogation.

--update
    Essaye de changer immédiatement le chemin vers les nouveaux propriétaire et mode s'il existe.

--quiet
    Moins de bavardage sur ce qui est fait.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée.

1   For --list, if there are no overrides or none match the supplied glob.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

ENVIRONNEMENT

DPKG_ADMINDIR
    Si cette variable est positionnée et que l'option --admindir n'est pas précisée, ce répertoire sera utilisé comme répertoire de données pour dpkg.

FICHIERS

%ADMINDIR%/statoverride
    File which contains the current list of stat overrides of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Note: dpkg-statoverride preserves the old copy of this file, with extension “-old”, before replacing it with the new one.

VOIR AUSSI
dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.